@ECHO OFF
rem
rem Beispiel-Batchdatei                   Sample batch file
rem Deutsche Version                      English version
rem
rem Diese Batchdatei startet Ihre Software zur Rufbearbeitung (z. B. Mailbox,
rem Mailer, Anrufbeantworter, ...). Sie wird von der BBS.BAT gestartet,
rem die ihrerseits durch RINGUP automatisch erzeugt wird, wenn ein Anruf
rem erkannt wurde.
rem
rem Folgende Parameter stehen zur Verfuegung:
rem
rem   %1 : Errorlevel mit dem RINGUP beendet wurde
rem   %2 : Nummer des Devices in Terminate
rem   %3 : Port des Devices
rem   %4 : Schnittstellengeschwindigkeit (Baud) des Devices
rem   %5 : Zeit bis zum naechsten Event in Minuten
rem   %6 : Carrier          : wenn ein Connect aufgebaut wurde
rem        Ring             : wenn nur der Anruf registriert wurde
rem        NoCarrier        : wenn kein Connect trotz Rufannahme aufgebaut
rem                           werden konnte
rem        Rejected         : wenn der Anrufer zurueckgewiesen wurde
rem        Rejected/NoFiles : wenn der Anrufer wegen Nichtvorhandensein von
rem                           Mail zurueckgewiesen wurde (Freepoll)
rem        RingLost         : wenn ein Ring fuer RINGUP-Device 2 zwar vom
rem                           ersten RINGUP-Device (ISDN) aber nicht auf dem
rem                           zweiten Device erkannt wurde
rem   %7 : Zusaetzliche RING-Informationen wie
rem        Anrufernummer/EAZ[n]/Dienstekennung (zur Zeit nur ISDN) oder NoInfo
rem   %8 : Datum und Zeit in der Form TT.MM.JJJJ_SS:MM:SS
rem
rem Die Anfuehrungsstriche in den IF-Zeilen werden benutzt um Probleme
rem mit der Batchdatei-Bearbeitung von MS-DOS zu vermeiden.
rem
rem
rem This batchfile calls your call handling software (f. e. bbs, mailer,
rem call answering, ...). It is started from BBS.BAT which is automatically
rem created by RINGUP when a call comes in.
rem
rem You can use the following parameters:
rem
rem   %1 : Errorlevel used on exiting RINGUP
rem   %2 : Number of device in Terminate
rem   %3 : Port of device
rem   %4 : Baud of device
rem   %5 : Time to next event
rem   %6 : Carrier          : if a connect was made
rem        Ring             : if a call was only recognized
rem        NoCarrier        : if there was no connect after answering the call
rem        Rejected         : if the caller was not allowed to call
rem        Rejected/NoFiles : if there is no mail for this caller (Freepoll)
rem        RingLost         : if a "analogue device 2" Ring recognized from
rem                           ISDN device (ringup device 1) does not appear
rem                           ringup device 2
rem   %7 : Additional part of ring like callerid/EAZ[n]/SIN or NoInfo
rem   %8 : Date and Time as DD.MM.YYYY_HH:MM:SS
rem
rem The quotes (") within the IF statements are used to avoid problems in
rem some cases of MS-Dos batch handling!
rem

IF "%6"=="Carrier" GOTO TerminateHost
IF "%6"=="Ring" GOTO Mailer
IF "%6"=="Rejected" GOTO CallBack
IF "%6"=="Rejected/NoFiles" GOTO ReportCall
IF "%6"=="NoCarrier" GOTO ReportCall
IF "%6"=="RingLost" GOTO ReportCall
C:\TER500\RINGUP\RINGUP.BAT


rem -----------------------------------------------------------------------
:TerminateHost
rem Terminate Host/Mailer
IF "%7"=="NoInfo" GOTO NoLog1
ECHO %8 %7 >> C:\TER500\RINGUP\SUCCESS.LOG
:NoLog1
C:\TER500\TERMINAT /DEVICE:%2 /PORT:%3 /BAUD:%4 /HOST /LOGIN /TIME:%5
C:\TER500\RINGUP\RINGUP.BAT
rem -----------------------------------------------------------------------


rem -----------------------------------------------------------------------
:Mailer
rem "Portal of Power"
IF "%7"=="NoInfo" GOTO NoLog2
ECHO %8 %7 >> C:\TER500\RINGUP\SUCCESS.LOG
:NoLog2
C:
CD \PORTAL
rem Notwendig, damit Portal auch bei missgluecktem Anruf beendet wird.
rem This is Necessary to close Portal on a broken call.
C:\UTIL\STUFFIT +01:00 P1,1,1," Portal of Power ͸" 27 +1 27
PORTAL /J PORTAL.CF%1
IF ERRORLEVEL 102 GOTO Unload
IF ERRORLEVEL 101 GOTO BBS
GOTO Unload
:BBS
C:\UTIL\STUFFIT /R
BBSBATCH.BAT
:Unload
C:\UTIL\STUFFIT /R
C:\TER500\RINGUP\RINGUP.BAT
rem -----------------------------------------------------------------------


rem -----------------------------------------------------------------------
:CallBack
IF "%1"=="200" GOTO Marcus1
IF "%1"=="201" GOTO Marcus2

ECHO %8 %7 Reason: %6 >> C:\TER500\RINGUP\NOSUCCES.LOG
GOTO CBEnd

:Marcus1
ECHO %8 %7 Callback 025369943 via Host >> C:\TER500\RINGUP\SUCCESS.LOG
C:\TER500\TERMINAT.EXE /DEVICE:%2 /SCRIPT:..\RINGUP\CALLBACK ATD025369943
GOTO CBHost

:Marcus2
ECHO %8 %7 Callback 025369943 via Point-System >> C:\TER500\RINGUP\SUCCESS.LOG
rem 45 Sek., damit der Anrufer wieder bereit ist, Anrufe entgegenzunehmen.
rem Wait 45 sec. therewith the caller is ready to answer rings.
choice /C:YN /T:Y,45 > NUL
C:\TER500\TERMINAT.EXE /CALL:2:2449/523
GOTO CBEnd

:CBHost
C:\TER500\TERMINAT.EXE /DEVICE:%2 /HOST /LOGIN
:CBEnd

C:\BBS\TER410\RINGUP\RINGUP.BAT
rem -----------------------------------------------------------------------


rem -----------------------------------------------------------------------
:ReportCall
IF "%7"=="NoInfo" GOTO NoLog3
ECHO %8 %7 Reason: %6 >> C:\TER500\RINGUP\NOSUCCES.LOG
:NoLog3
C:\TER500\RINGUP\RINGUP.BAT
rem -----------------------------------------------------------------------
